Bug 124615 - RPM can't chmod directory on AFS file system.
RPM can't chmod directory on AFS file system.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpm (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-27 17:41 EDT by Patrick Nolan
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-29 08:41:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Nolan 2004-05-27 17:41:55 EDT
Description of problem:
I tried to install a relocatable binary RPM as a non-root user on an 
AFS file system.  It fails because rpm tries to chmod 02755 the 
prefix directory.  That operation is forbidden on AFS.  Only the low-
order permission bits can be changed.  Is the 02 really necessary?  
Would chmod 755 do the job?

Version-Release number of selected component (if applicable):
4.0.4 and 4.2 are the versions I tried.

How reproducible:
Always

Steps to Reproduce:
1. rpm -ivh --prefix <myInst> --dbpath <myDB> foobar.i386.rpm
2.
3.
  
Actual results:
Preparing...    ########################################### [100%]
   1:facilities error: unpacking of archive failed on file 
/u/ek/pln/rpm/inst/facilities: cpio: chmod failed - Permission denied

(I don't know what cpio has to do with it.)

Expected results:
Preparing...    ########################################### [100%]
   1:facilities ########################################### [100%]

Additional info:
Comment 1 Robert Scheck 2004-05-28 03:58:40 EDT
Red Hat Linux 9 reached end of lifetime at 30th April 2004, so there
won't be any fixes, I think. The Red Hat guys will suggest you to 
upgrade to FC1/2 or RHEL3.
Comment 2 Patrick Nolan 2004-05-28 13:57:19 EDT
I have a lot of linux boxes available for testing.  I found one with 
RHEL3, and the symptom is exactly the same.  Is there some way to 
route this to the proper people?
Comment 3 Robert Scheck 2004-05-28 14:02:24 EDT
Yes, of course. Change the "Product" and its "Version" from this bug
for RHEL3 and add the corresponding rpm version...after that you've
got to wait for Jeff or another guy that fixes your issue.

Well, if there is a fix available then, you can take the source rpm of 
"rpm" from RHEL3 and rebuild it at your RH9 (sure it's unsupported but 
most of the time, it still works).
Comment 4 Patrick Nolan 2004-05-28 14:21:26 EDT
The symptom is the same with rpm version 4.2.1 on RHEL3.
Comment 5 Jeff Johnson 2004-05-29 08:41:23 EDT
The package, not rpm, is attempting 02755 on AFS. Fix the package,
or install on the server, not through AFS on client.

Note that installing a file on a network shared path through
NFS or AFS is often not correct, because different machines
may install different versions of the file.

Note You need to log in before you can comment on or make changes to this bug.